GET/rule-sets/{ruleSetId}
Returns one rule set with its rules, thresholds and reset conditions. The rule set id comes from
ResourceTypes_GetRuleSets. Requires ResourceTypeDatabase.Read.
Path Parameters
| Field | Type | Required | Description |
|---|
| ruleSetId | uuid | Required | |
Response
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| resourceTypeIds | uuid[]| null | |
| rules | RuleDetail[]| null | |
RuleDetail
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| description | string| null | |
| priority | integer | |
| isActive | boolean | |
| conditionType | string| null | |
| trackedBlockType | RuleDetailTrackedBlockTypeRef | |
| windowStart | time| null | |
| windowEnd | time| null | |
| resultingStateId | uuid| null | |
| daysOfWeek | string[]| null | |
| annualDates | string[]| null | |
| thresholds | ThresholdDetail[]| null | |
| resetConditions | ResetConditionDetail[]| null | |
RuleDetailTrackedBlockTypeRef
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
ThresholdDetail
| Field | Type | Description |
|---|
| id | uuid | |
| order | integer | |
| threshold | number | |
| thresholdUnit | string| null | |
| operator | string| null | |
| resultingState | ThresholdDetailResultingStateRef | |
ResetConditionDetail
| Field | Type | Description |
|---|
| id | uuid | |
| resetType | string| null | |
| blockType | ResetConditionDetailBlockTypeRef | |
| minDuration | number| null | |
| durationUnit | string| null | |
| period | string| null | |
| periodStartDay | string| null | |
| thresholdOverrides | ResetConditionDetailThresholdOverrideDetail[]| null | |
ThresholdDetailResultingStateRef
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
ResetConditionDetailBlockTypeRef
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
ResetConditionDetailThresholdOverrideDetail
| Field | Type | Description |
|---|
| ruleThresholdId | uuid | |
| threshold | number | |
| thresholdUnit | string| null | |